---
title: rootSubscribe
hideTableOfContents: true
h1: rootSubscribe RPC Method
---

Subscribe to receive notification anytime a new root is set by the validator.

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

`integer` - subscription id \(needed to unsubscribe\)

</DocLeftSide>

<DocRightSide>

### Code sample

```json
{ "jsonrpc": "2.0", "id": 1, "method": "rootSubscribe" }
```

### Response

```json
{ "jsonrpc": "2.0", "result": 0, "id": 1 }
```

</DocRightSide>
</DocSideBySide>

#### Notification Format:

The result is the latest root slot number.

```json
{
  "jsonrpc": "2.0",
  "method": "rootNotification",
  "params": {
    "result": 42,
    "subscription": 0
  }
}
```
